var win = Titanium.UI.currentWindow;

var ind=Titanium.UI.createProgressBar({
	width:200,
	height:50,
	min:0,
	max:1,
	value:0,
	top:10,
	message:'Downloading2 ' + (Ti.Platform.name == 'android' ? 'PNG' : 'PDF') + ' File',
	font:{fontSize:12, fontWeight:'bold'},
	color:'#888'
});

win.add(ind);
ind.show();

var abort = Titanium.UI.createButton({
	title:'Abort',
	height:40,
	width:200,
	top:170
});
win.add(abort);
abort.addEventListener('click', function()
{
	c.abort();
	ind.value = 0;
});

var largeFile = Titanium.UI.createButton({
	title:'Large File Download',
	height:40,
	width:200,
	top:220
});
win.add(largeFile);

largeFile.addEventListener('click', function()
{
	ind.value = 0;
	c = Titanium.Network.createHTTPClient();
	var myAbort = function(e){
		Ti.API.info('Aborted!!!');
		c.abort();
	}
	
	c.setTimeout(10000);
	c.onload = function(e)
	{
		Ti.API.info("ONLOAD = "+e);
	};
	c.ondatastream = function(e)
	{
		ind.value = e.progress ;
		Ti.API.info('ONDATASTREAM1 - PROGRESS: ' + e.progress);
		if(e.progress > .02){
			myAbort();
		}
	};
	c.onerror = function(e)
	{
		Ti.UI.createAlertDialog({title:'XHR', message:'Error: ' + e.error}).show();
	};

	c.open('GET','http://www.appcelerator.com/download-win32');
	c.send();
});
